### Constructor

# Adw PropertyAnimationTargetnew

since: 1.2

#### Declaration [src]

    AdwAnimationTarget*
    adw_property_animation_target_new (
      GObject* object,
      const char* property_name
    )

#### Description [src]

Creates a new `AdwPropertyAnimationTarget` for the `property_name` property on `object`.

Available since: 1.2

#### Parameters

`object`

  Type: `GObject`

  An object to be animated.

  The data is owned by the caller of the function.

`property_name`

  Type: `const char*`

  The name of the property on `object` to animate.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `AdwAnimationTarget`

The newly created `AdwPropertyAnimationTarget`

The caller of the function takes ownership of the data, and is responsible for freeing it.